Subject: Re: RE : Using Linux on ML405: Some basic questions

From: Magnus Hjorth <[email-masked]>
Date: Tue, 28 Nov 2006 16:03:26 +0100

Those messages come from the Linux bootloader/decompression code, you 
can see the calls in arch/ppc/boot/simple/misc-embedded.c

Cheers,
/Magnus

Peter Mendham wrote:
>
> Wow.  Thanks Chris, that makes a lot of sense, although I had no idea 
> that the SystemAce chip was quite so clever.  I take it that the 
> bitstream in the .ace file is specially constructed by the tools to do 
> the DRAM download?  What is it that produces the text:
> loaded at:     00400000 004E21E4
> board data at: 004DF13C 004DF154
> relocated to:  00405660 00405678
> zimage at:     00405C25 004DE92F
> avail ram:     004E3000 04000000
> I have always assumed that it is a piece of software that does this.  Is 
> that correct?
>
> Thanks very much for replying, the information is really helpful.
> -- Peter
>
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>   

-- 

Magnus Hjorth, M.Sc.
Omnisys Instruments AB
Gruvgatan 8
SE-421 30  Västra Frölunda, SWEDEN
Phone: +46 31 734 34 09
Fax: +46 31 734 34 29
http://www.omnisys.se